/*  This file is part of the QbtGStreamer project, a Qt GStreamer Wrapper
    Copyright (C) 2006 Tim Beaulen <tbscope@gmail.com>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License version 2 as published by the Free Software Foundation.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.
*/

#include "qbtgstreamererror.h"

QbtGStreamerError::QbtGStreamerError()
{
}

QbtGStreamerErrorDomain QbtGStreamerError::domain()
{
    if(m_error->domain == GST_CORE_ERROR)
            return QbtGStreamerErrorCore;
    else if(m_error->domain == GST_LIBRARY_ERROR)
            return QbtGStreamerErrorLibrary;
    else if(m_error->domain == GST_RESOURCE_ERROR)
            return QbtGStreamerErrorResource;
    else if(m_error->domain == GST_STREAM_ERROR)
            return QbtGStreamerErrorStream;
    else
            return QbtGStreamerErrorSystem;
}

int QbtGStreamerError::code()
{
    return m_error->code;
}

void QbtGStreamerError::setGError(GError *error)
{
    m_error = error;
}

GError *QbtGStreamerError::gError()
{
    return m_error;
}
